Bug 59033 - cdrecord should be using consolehelper
cdrecord should be using consolehelper
Product: Red Hat Linux
Classification: Retired
Component: cdrtools (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-29 12:28 EST by Seth Vidal
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-10 09:54:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2002-01-29 12:28:25 EST
Description of Problem:
cdrecord should be using consolehelper so the admin can configure the amount of
control over the cdburner a console (or any user) can have. 

Version-Release number of selected component (if applicable):
cdrtools *  

I've made a new cdrtools package that puts the consolehelper links to cdrecord
and adds a /etc/pam.d/cdrecord and an /etc/security/console.apps/cdrecord file.

they are available from:


by doing this you can remove the root-only requirement for gtoaster - and only
add the pam checks on cdrecord and cdrdao.

I'll file another rfe on gtoaster and cdrdao.

Comment 1 Mike A. Harris 2002-03-11 01:48:28 EST
Defering for future consideration
Comment 2 Mike A. Harris 2003-01-11 22:02:06 EST
Reassigning to new package maintainer for consideration.
Comment 3 Harald Hoyer 2003-03-10 09:54:21 EST
in versions later than 8.0 /dev/sg? will be owned by the consoleuser.

Note You need to log in before you can comment on or make changes to this bug.